RDFRendererVisitor (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.renderer
Class RDFRendererVisitor

    java.lang.Object
      fr.inrialpes.exmo.align.impl.renderer.RDFRendererVisitor

All Implemented Interfaces:
  AlignmentVisitor

    public class RDFRendererVisitor

extends Object
implements AlignmentVisitor

Renders an alignment in its RDF format

Version:
  $Id: RDFRendererVisitor.java 1412 2010-03-31 13:57:07Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`(package private) Alignment` | `alignment`
`(package private) Cell` | `cell`
`private static Namespace` | `DEF`
`(package private) boolean` | `embedded`
`private String` | `INDENT`
`private boolean` | `isPattern`
`private String` | `linePrefix` String for the pretty linebreak.
`private String` | `NL`
`(package private) Hashtable<String,String>` | `nslist`
`private int` | `prefixCount`
`(package private) PrintWriter` | `writer`

Constructor Summary
`RDFRendererVisitor(PrintWriter writer)`

Method Summary
`private void` | `calcPrefix()`
`private void` | `decreaseIndent()` Decreases the lineprefix by one INDENT
`private void` | `increaseIndent()` Increases the lineprefix by one INDENT
`private void` | `indentedOutput()`
`private void` | `indentedOutput(String s)`
`private void` | `indentedOutputln()`
`private void` | `indentedOutputln(String s)`
`void` | `init(Properties p)`
`private void` | `printBasicOntology(URI u, URI f)`
`void` | `printOntology(Ontology onto)`
`void` | `renderVariables(Expression expr)`
`void` | `setIndentString(String ind)`
`void` | `setNewLineString(String nl)`
`void` | `visit(Alignment align)`
`void` | `visit(Apply e)`
`void` | `visit(Cell cell)`
`void` | `visit(ClassConstruction e)`
`void` | `visit(ClassDomainRestriction c)`
`void` | `visit(ClassExpression e)`
`void` | `visit(ClassId e)`
`void` | `visit(ClassOccurenceRestriction c)`
`void` | `visit(ClassRestriction e)`
`void` | `visit(ClassTypeRestriction c)`
`void` | `visit(ClassValueRestriction c)`
`void` | `visit(Datatype e)`
`void` | `visit(Expression o)`
`void` | `visit(InstanceExpression e)`
`void` | `visit(InstanceId e)`
`void` | `visit(PathExpression p)`
`void` | `visit(PropertyConstruction e)`
`void` | `visit(PropertyDomainRestriction c)`
`void` | `visit(PropertyExpression e)`
`void` | `visit(PropertyId e)`
`void` | `visit(PropertyRestriction e)`
`void` | `visit(PropertyTypeRestriction c)`
`void` | `visit(PropertyValueRestriction c)`
`void` | `visit(Relation rel)`
`void` | `visit(RelationCoDomainRestriction c)`
`void` | `visit(RelationConstruction e)`
`void` | `visit(RelationDomainRestriction c)`
`void` | `visit(RelationExpression e)`
`void` | `visit(RelationId e)`
`void` | `visit(RelationRestriction e)`
`void` | `visit(Value e)`
`void` | `visit(ValueExpression e)`
`void` | `visit(Visitable o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    PrintWriter writer

### alignment

    Alignment alignment

### cell

    Cell cell

### nslist

    Hashtable<String,String> nslist

### embedded

    boolean embedded

### DEF

    private static Namespace DEF

### INDENT

    private String INDENT

### NL

    private String NL

### linePrefix

    private String linePrefix

  String for the pretty linebreak.

### prefixCount

    private int prefixCount

### isPattern

    private boolean isPattern

Constructor Detail

### RDFRendererVisitor

    public RDFRendererVisitor(PrintWriter writer)

Method Detail

### setIndentString

    public void setIndentString(String ind)

### setNewLineString

    public void setNewLineString(String nl)

### init

    public void init(Properties p)

  Specified by:
    `init` in interface `AlignmentVisitor`

### visit

    public void visit(Visitable o)
               throws AlignmentException

  Specified by:
    `visit` in interface `AlignmentVisitor`
  Throws:
    `AlignmentException`

### visit

    public void visit(Alignment align)
               throws AlignmentException

  Throws:
    `AlignmentException`

### printBasicOntology

    private void printBasicOntology(URI u,
                                    URI f)

### printOntology

    public void printOntology(Ontology onto)

### visit

    public void visit(Cell cell)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Relation rel)

### visit

    public void visit(Expression o)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PathExpression p)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### renderVariables

    public void renderVariables(Expression expr)

### visit

    public void visit(ClassId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassConstruction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassRestriction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassValueRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassTypeRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassOccurenceRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyConstruction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyRestriction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyValueRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyTypeRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationConstruction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationRestriction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationCoDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(InstanceExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(InstanceId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ValueExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Value e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Apply e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Datatype e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### increaseIndent

    private void increaseIndent()

  Increases the lineprefix by one INDENT

### decreaseIndent

    private void decreaseIndent()

  Decreases the lineprefix by one INDENT

### calcPrefix

    private void calcPrefix()

### indentedOutputln

    private void indentedOutputln(String s)

### indentedOutput

    private void indentedOutput(String s)

### indentedOutputln

    private void indentedOutputln()

### indentedOutput

    private void indentedOutput()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010